Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class AbstractSeamPhaseListener

    java.lang.Object
      org.jboss.seam.jsf.AbstractSeamPhaseListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.PhaseListener

Direct Known Subclasses:
  SeamPhaseListener, SeamPortletPhaseListener

    public abstract class AbstractSeamPhaseListener

extends Object
implements javax.faces.event.PhaseListener

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractSeamPhaseListener()`

Method Summary
`protected void` | `addTransactionFailedMessage()` Add a faces message when Seam-managed transactions fail.
`protected void` | `afterInvokeApplication()` Give the subclasses an opportunity to do stuff
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`protected void` | `afterProcessValidations(javax.faces.context.FacesContext facesContext)`
`protected void` | `afterRender(javax.faces.context.FacesContext facesContext)`
`protected void` | `afterResponseComplete(javax.faces.context.FacesContext facesContext)`
`void` | `afterRestoreView(javax.faces.context.FacesContext facesContext)` Restore the page and conversation contexts during a JSF request
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`protected void` | `beforeRender(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId` | `getPhaseId()`
`protected void` | `handleTransactionsAfterPageActions(javax.faces.event.PhaseEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSeamPhaseListener

    protected AbstractSeamPhaseListener()

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

### afterRestoreView

    public void afterRestoreView(javax.faces.context.FacesContext facesContext)

  Restore the page and conversation contexts during a JSF request

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### afterInvokeApplication

    protected void afterInvokeApplication()

  Give the subclasses an opportunity to do stuff

### addTransactionFailedMessage

    protected void addTransactionFailedMessage()

  Add a faces message when Seam-managed transactions fail.

### beforeRender

    protected void beforeRender(javax.faces.event.PhaseEvent event)

### afterRender

    protected void afterRender(javax.faces.context.FacesContext facesContext)

### afterResponseComplete

    protected void afterResponseComplete(javax.faces.context.FacesContext facesContext)

### handleTransactionsAfterPageActions

    protected void handleTransactionsAfterPageActions(javax.faces.event.PhaseEvent event)

### afterProcessValidations

    protected void afterProcessValidations(javax.faces.context.FacesContext facesContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD